window.parentRenderCell = window.renderCell

window.renderCell = function (result, {col, row})
{
    if(row.data.hasSystem && row.data.engine == 'GitFox')
    {
        row.data.actions.forEach(action =>
        {
            if(action.name == 'edit')
            {
                action.url = $.createLink('job', 'editPipeline', 'jobID=' + row.data.id);
                action['data-toggle'] = 'modal';
            }

            if(action.name == 'delete')
            {
                action.url = $.createLink('job', 'deletePipeline', 'jobID=' + row.data.id);
                action['data-confirm'] = pipelineLang.deletePipelineConfirm;
            }
        })
    }
    return window.parentRenderCell(result, {col, row});
}
